Subject: bug#9535: closed (Re: bug#9535: sunpro and -library=stdcxx4)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 12 Dec 2014 18:54:03 +0000

Your bug report

#9535: sunpro and -library=stdcxx4

which was filed against the libtool package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9535: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9535
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9535: sunpro and -library=stdcxx4
From: Gary V. Vaughan <[email-masked]>
To: [email-masked]
Date: Fri, 12 Dec 2014 18:53:24 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Marc,

> On Dec 12, 2014, at 3:56 PM, Marc Glisse <[email-masked]> wrote:
> 
> On Fri, 12 Dec 2014, Gary V. Vaughan wrote:
> 
>> I applied this just now:
>> 
>>  http://git.savannah.gnu.org/cgit/libtool.git/commit/?id=b49ab52cb34a80aacf88698870649c7761e17c65
> 
> Thanks.
> 
>> It doesn't change the logic of the 2006 patch, but it still seems wrong to me actually.
> 
> To me as well, but it seemed more likely to work if I only suggested a small change ;-)

True enough.

Here's a better one given that you confirmed my fears of the original being brain damaged:

   http://git.savannah.gnu.org/cgit/libtool.git/commit/?id=97f03a437983f106e41de45a0d1baf5a3ec5f04d

Cheers,
-- 
Gary V. Vaughan (gary AT gnu DOT org)

Subject: sunpro and -library=stdcxx4
From: Marc Glisse <[email-masked]>
To: [email-masked]
Date: Sat, 17 Sep 2011 12:19:02 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

there was a commit in 2006 to support the sunpro option -library=stlport4:

2006-08-01  Albert Chin <[email-masked]>

         * libltdl/m4/libtool.m4 (_LT_SYS_HIDDEN_LIBDEPS) [ solaris ]:
         Don't set $postdeps to "-lCstd -lCrun" if
         "-library=stlport4" set in CXXFLAGS as stlport4 C++
         library incompatible with Cstd C++ library. Use
         '-library=Cstd -library=Crun' instead of '-lCstd -lCrun'.

This compiler now also supports one more alternative 
(solaris-only): -library=stdcxx4
I assume it should receive the same treatment as -library=stlport4 ?

-- 
Marc Glisse